Bug 485181 - Dock/Undock+ CDROM support for X61 and other laptops
Dock/Undock+ CDROM support for X61 and other laptops
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: 5.4
Assigned To: John Feeney
Red Hat Kernel QE team
:
: 252219 444652 (view as bug list)
Depends On:
Blocks: 252219 296431 444652 446125 481575 483701 483784 496328
  Show dependency treegraph
 
Reported: 2009-02-12 00:25 EST by Huzaifa S. Sidhpurwala
Modified: 2016-05-23 05:22 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:00:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Matthew's patch (28.62 KB, patch)
2009-05-05 15:00 EDT, John Villalovos
no flags Details | Diff

  None (edit)
Description Huzaifa S. Sidhpurwala 2009-02-12 00:25:39 EST
Description of problem:
X61 laptop and some others have a CD/DVD in the docking station.
When you undock the latpop and re-dock the CD-ROM drive is not available, 
you have to reboot.

Version-Release number of selected component (if applicable):
RHEL 5.3 latest

How reproducible:


Steps to Reproduce:
1. Boot latest 5.3 X61 laptop
2. Access CD
3. Undock
4. Dock
5. CD ROM device is gone
  
Actual results:
NO CD after undock/dock

Expected results:


Note:
After redock even hal does not show the device, so i assume this is a bug with the kernel or something.

This works in Fedora 10 with a small hack.
https://bugzilla.redhat.com/show_bug.cgi?id=473219

Additional info:
Comment 1 Matthew Garrett 2009-03-12 04:40:07 EDT
I've backported the code from current upstream - I'll do a scratch build now.
Comment 11 John Villalovos 2009-04-23 14:57:26 EDT
Jane, Matthew,

Matthew, if you need help testing your patches, I think Jane can help out with the testing.  I believe some of the hardware to test with.
Comment 12 Jane Lv 2009-04-23 23:02:19 EDT
John and Matthew,

Is X61 the specific hardware to reproduce this issue?  I don't have X61 laptop.  I only have a T61 but didn't reproduce this bug on it.

I tried to reproduce this bug with RHEL5.3 (2.6.18-128 kernel) on the T61 laptop with a DVD-ROM in the dock station (actually I uninstalled the DVD-ROM from the T61 laptop and inserted it into the dock station slot.).  After I un-dock and re-dock the laptop, the DVD still works and the DVD folder comes up on the top of screen automatically after I re-dock.
Comment 16 John Feeney 2009-04-29 15:19:17 EDT
Is there any chance of getting a kernel built so this can be tested. There are
a couple of docking/hotplug bugzillas that might be fixed with this fix. Please
let me know if I can be of any help (other than testing because I don't have
the hardware).
Comment 17 Matthew Garrett 2009-04-30 19:10:23 EDT
Kernel is at https://brewweb.devel.redhat.com/taskinfo?taskID=1783345 but doesn't fix this issue for X60+dock - the dock drive is being grabbed by the legacy IDE drivers, so the hotplug doesn't work. Huzaifa, could you please let me know whether the CD drive appears as hda or sr0 on the machine you've been testing?
Comment 18 Matthew Garrett 2009-04-30 19:33:08 EDT
Ok. Works with this patch and the following boot options:

piix.intel_via_libata=1 ide0=noprobe ide1=noprobe

Which causes the CD drive to be driven via libata rather than via the legacy IDE layer. I can now dock and undock with absolute impunity. John, can you grab the kernel from Brew and boot with those boot options, then check whether the component bay works correctly?

This would presumably need to be documented somewhere. The reason for requiring the boot option is to prevent users from finding their drives have suddenly renamed themselves unexpectedly - we can't make this the default behaviour at this stage.
Comment 19 John Feeney 2009-05-01 12:54:27 EDT
For ease of access, I copied the x86_64 and i686 rpms with this fix to my people page. See http://people.redhat.com/jfeeney/.bz485181
Comment 21 John Feeney 2009-05-05 13:39:03 EDT
So where are we with this? I hope no one is waiting on me (see comment #18) because I don't have a CD drive to insert into my Dell dock. This looks like it could be added to 5.4 if we get it tested and posted asap.
Comment 22 John Villalovos 2009-05-05 15:00:02 EDT
Created attachment 342522 [details]
Matthew's patch

I believe that this is Matthew's patch from the posted kernel.  I took it from the SRPM out of brew.
Comment 23 Jane Lv 2009-05-06 06:03:14 EDT
I tested kernel from comment #19 with boot parameters "piix.intel_via_libata=1 ide0=noprobe ide1=noprobe" on my T61 laptop.  No visible issue was found.  libata driver is used by the CDROM in the dock instead of ide driver.
Comment 25 John Feeney 2009-05-18 10:57:34 EDT
Since Matthew Garrett posted a fix for bz444652, this bz (bz485181) should be fixed as well so setting status to POST.
Comment 26 John Feeney 2009-05-18 11:43:55 EDT
*** Bug 252219 has been marked as a duplicate of this bug. ***
Comment 27 John Feeney 2009-05-18 11:51:25 EDT
*** Bug 444652 has been marked as a duplicate of this bug. ***
Comment 28 Don Zickus 2009-05-19 15:46:27 EDT
in kernel-2.6.18-149.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 30 Jane Lv 2009-05-27 06:17:52 EDT
I did a regression test on T61 laptop with kernel-2.6.18-150.el5.  No visible issue was found.
Comment 31 Chris Ward 2009-07-03 14:24:41 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 32 Chris Ward 2009-07-10 15:11:05 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 35 errata-xmlrpc 2009-09-02 05:00:17 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html
Comment 37 Huzaifa S. Sidhpurwala 2016-05-23 05:22:11 EDT
Removing needinfo, since this is no longer relevant.

Note You need to log in before you can comment on or make changes to this bug.